package com.uas.account.controller;

import com.uas.account.entity.MasterInfo;
import com.uas.account.service.MasterInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 账套信息
 *
 * Created by hejq on 2017-11-29.
 */
@RequestMapping("/api/master")
@RestController
public class MasterManagerController {

	@Autowired
	private MasterInfoService masterInfoService;

	@RequestMapping(method = RequestMethod.GET)
	public List<MasterInfo> getInfo(Long uu) {
		return masterInfoService.findByUU(uu);
	}
}
