<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!-- <div class="alert x-alert-warning">
					<h3>温馨提示：</h3>
					<ul class="x-menu text-muted">
						<li>请填写您的企业资料和管理员信息，其中带<span class="x-text-inverse">&nbsp;*&nbsp;</span>的输入项必须填写
						</li>
						<li>填写完成请点击下一步，待工作人员审核您的注册信息后，将会以邮件形式通知您审核结果</li>
						<li>如有疑问，欢迎致电客服热线：400-830-1818，感谢您对优软科技产品的关注</li>
					</ul>
				</div> -->
<div class="x-form-wrap">
	<form class="form-horizontal x-form">
		<!-- 分组1-企业信息 Start -->
		<div class="x-form-set-wrap">
			<div class="x-form-set-header">
				<h4>企业注册信息</h4>
			</div>
			<div class="x-form-set">
				<div class="form-group">
					<label class="control-label col-sm-2 x-required">企业名称：</label>
					<div class="col-sm-5">
						<input type="text" class="form-control x-input" name="enName"
							required placeholder="填写营业执照上的企业名称" x-help-by="name_help"
							x-error-by="name_err">
					</div>
					<div class="x-input-addon col-sm-5">
						<div id="name_help" class="x-text-help">
							<i class="glyphicon glyphicon-info-sign x-icon-left"></i>填写在工商局注册的企业名称
						</div>
						<div id="name_err" class="x-text-error" style="display: none">
							<i class="glyphicon glyphicon-info-sign x-icon-left"></i>请填写营业执照上的企业名称
						</div>
					</div>
				</div>
				<div class="form-group">
					<label class="control-label col-sm-2 x-required">营业执照：</label>
					<div class="col-sm-5">
						<a class="btn btn-block x-btn x-btn-blank x-input-file-wrap"><i
							class="glyphicon glyphicon-picture x-icon-left"></i>点击上传营业执照扫描件（≤5M的图片或PDF）<input
							type="file" id="businessImage" class="x-input" name="file"
							required x-error-text="请上传营业执照扫描件（≤5M的图片或PDF）"></a>
						<div id="businessImagePreview" class="help-block"
							style="display: none">
							<div class="x-image">
								<a href="javascript:void(0);" class="thumbnail x-btn-image">
									<img /> <span>预览</span>
								</a>
							</div>
						</div>
						<p id="businessImageTip" class="help-block alert x-alert-warning"style="display: none">
							<i class="glyphicon glyphicon-saved x-icon-left"></i><span></span>
						</p>
					</div>
					<div class="x-input-addon col-sm-5">
						<div class="x-text-help">
							<i class="glyphicon glyphicon-question-sign x-icon-left"></i>什么是营业执照？<a
								class="x-btn-image x-text-link" href="javascript:void(0);"
								data-src="static/img/demo/yyzz.png">查看范例</a>
						</div>
						<div class="x-text-error"></div>
					</div>
				</div>
				<!-- TODO:考虑可以不用填营业执照号 -->
				<div class="form-group">
					<label class="control-label col-sm-2 x-required">营业执照号：</label>
					<div class="col-sm-5">
						<input type="text" class="form-control x-input"
							name="businessCode" required placeholder="填写营业执照上的注册号"
							x-help-by="businessCode_help" x-error-by="businessCode_err"
							x-maxlength="50">
					</div>
					<div class="x-input-addon col-sm-5">
						<div id="businessCode_help" class="x-text-help">
							<i class="glyphicon glyphicon-info-sign x-icon-left"></i>填写营业执照上的注册号
						</div>
						<div id="businessCode_err" class="x-text-error"
							style="display: none">
							<i class="glyphicon glyphicon-info-sign x-icon-left"></i>请填写营业执照上的注册号
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- 分组2-管理员信息 Start -->
		<div class="x-form-set-wrap">
			<div class="x-form-set-header">
				<h4>更改管理员</h4>
			</div>
			<div class="x-form-set">
				<div class="form-group">
					<label class="control-label col-sm-2 x-required">姓名：</label>
					<div class="col-sm-5">
						<input type="text" class="form-control x-input" name="adminName"
							required placeholder="例如：张三" x-maxlength="30"
							x-error-by="adminName_err">
					</div>
					<div class="x-input-addon col-sm-5">
						<div id="adminName_err" class="x-text-error" style="display: none">
							<i class="glyphicon glyphicon-info-sign x-icon-left"></i>请填写管理员姓名
						</div>
					</div>
				</div>
				<div class="form-group">
					<label class="control-label col-sm-2 x-required">手机号：</label>
					<div class="col-sm-5">
						<input type="text" class="form-control x-input" name="adminTel"
							required placeholder="例如：15818181818" x-pattern="^[\d-]{8,}$"
							x-error-by="adminTel_err">
					</div>
					<div class="x-input-addon col-sm-5">
						<div id="adminEmail_help" class="x-text-help">
							<i class="glyphicon glyphicon-info-sign x-icon-left"></i>可作为商务平台账号登录
						</div>
						<div id="adminTel_err" class="x-text-error" style="display: none">
							<i class="glyphicon glyphicon-info-sign x-icon-left"></i>填写格式例如：15818181818
						</div>
					</div>
				</div>
				<div class="form-group">
					<label class="control-label col-sm-2 x-required">邮箱：</label>
					<div class="col-sm-5">
						<input type="text" class="form-control x-input" name="adminEmail"
							required placeholder="例如：zhangsan@example.com"
							x-pattern="^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$"
							x-help-by="adminEmail_help" x-error-by="adminEmail_err">
					</div>
					<div class="x-input-addon col-sm-5">
						<div id="adminEmail_help" class="x-text-help">
							<i class="glyphicon glyphicon-info-sign x-icon-left"></i>将用于接收激活邮件和系统邮件，可作为商务平台账号登录
						</div>
						<div id="adminEmail_err" class="x-text-error"
							style="display: none">
							<i class="glyphicon glyphicon-info-sign x-icon-left"></i>填写格式例如：zhangsan@example.com
						</div>
					</div>
				</div>
				<div class="form-group">
					<label class="control-label col-sm-2 x-required">更换方法：</label>
					<div class="col-sm-5">
						<select name="method"  class="form-control x-input">
						  <option value ="replace">替换</option>
						  <option value ="remove">删除</option>
						</select>
					</div>
					<div class="x-input-addon col-sm-5">
						<div id="adminEmail_help" class="x-text-help">
							<i class="glyphicon glyphicon-info-sign x-icon-left"></i>替换：将以前的管理员权限替换，人员不删除；删除：将以前的管理员信息从企业删除
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="x-form-set-wrap">
			<div class="x-form-set" style="margin-left: 100px">
				<div class="form-group">
					<div class="col-sm-4">
						<a class="btn x-btn-primary x-btn-submit btn-block"> 下一步 </a>
						<!-- add class "disabled" to avoid click -->
					</div>
				</div>
			</div>
		</div>
	</form>
</div>