<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/xml" %>
<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c1"%>
<!-- <div class="alert x-alert-warning">
<h3>温馨提示：</h3>
<ul class="x-menu text-muted">
<li>请填写您的企业资料和管理员信息，其中带<span class="x-text-inverse">&nbsp;*&nbsp;</span>的输入项必须填写
</li>
<li>填写完成请点击下一步，待工作人员审核您的注册信息后，将会以邮件形式通知您审核结果</li>
<li>如有疑问，欢迎致电客服热线：400-830-1818，感谢您对优软科技产品的关注</li>
</ul>
</div> -->
<div class="x-form-wrap">
    <form class="form-horizontal x-form" novalidate>
        <!-- 分组1-企业信息 Start -->
        <div class="x-form-set-wrap">
            <div class="x-form-set-header">
                <h4>企业基本信息</h4>
            </div>
            <input type="hidden" name="pageToken" value="${pageToken}">
            <div class="x-form-set">
                <%--企业名称--%>
                <div class="form-group">
                    <label class="control-label col-sm-2 x-required">企业名称：</label>
                    <div class="col-sm-5">
                        <input type="text" class="form-control x-input" name="name"
                               required placeholder="填写营业执照上的企业名称" x-help-by="name_help"
                               x-error-text="请填写正确的企业名称，2~99个字符"
                               x-error-by="name_err" x-minlength="2" x-maxlength="99"/>
                    </div>
                    <div class="x-input-addon col-sm-5">
                        <div id="name_help" class="x-text-help" style="display: none">
                            <i class="glyphicon glyphicon-ok x-icon-left"></i>
                        </div>
                        <div id="name_err" class="x-text-error" style="display: none">请填写正确的企业名称，2~99个字符</div>
                    </div>
                </div>
                <%--企业简称--%>
                <%--<div class="form-group">
                    <label class="control-label col-sm-2 x-required">企业简称：</label>
                    <div class="col-sm-5">
                        <input type="text" class="form-control x-input" name="shortName"
                               required placeholder="请填写正确的企业名称，2~40个字符" x-error-text="请填写正确的企业名称，2~40个字符"
                               x-help-by="shortName_help" x-error-by="shortName_err" x-maxlength="40" x-minlength="2">
                    </div>
                    <div class="x-input-addon col-sm-5">
                        <div id="shortName_help" class="x-text-help" style="display: none">
                            <i class="glyphicon glyphicon-ok x-icon-left"></i>
                        </div>
                        <div id="shortName_err" class="x-text-error" style="display: none">请填写正确的企业简称，2~40个字符</div>
                    </div>
                </div>--%>
                <%--营业执照号--%>
                <div class="form-group">
                    <label class="control-label col-sm-2 x-required">营业执照号：</label>
                    <div class="col-sm-5">
                        <input type="text" class="form-control x-input"
                               name="businessCode" required placeholder="填写营业执照上的注册号"
                               x-help-by="businessCode_help" x-error-by="businessCode_err"
                               c-error-text="请填写营业执照上的注册号" x-maxlength="60" x-pattern="^[A-Za-z0-9]+$">
                    </div>
                    <div class="x-input-addon col-sm-5">
                        <div id="businessCode_help" class="x-text-help" style="display: none">
                            <i class="glyphicon glyphicon-ok x-icon-left"></i>
                        </div>
                        <div id="businessCode_err" class="x-text-error"
                             style="display: none">请填写营业执照上的注册号
                        </div>
                    </div>
                </div>
                <%--营业执照--%>
                <div class="form-group">
                    <label class="control-label col-sm-2 x-required">营业执照：</label>
                    <div class="col-sm-5">
                    	<input name="businessCodeImage" type="hidden">
                        <a class="btn btn-block x-btn x-btn-blank x-input-file-wrap">
                            <i class="glyphicon glyphicon-picture x-icon-left"></i>点击上传营业执照扫描件（≤5M的图片或PDF）
                            <input type="file" id="businessImage" class="x-input" name="businessImage"
                                x-error-text="请上传营业执照扫描件（≤5M的图片或PDF）"
                                x-error-by="file_error" x-help-by="file_help"
                                arias-preview="businessImagePreview"
                                arias-file-info="businessImageTip">
                        </a>
                        <div id="businessImagePreview" class="help-block"
                             style="display: none">
                            <div class="x-image">
                                <a href="javascript:void(0);" class="thumbnail x-btn-image">
                                    <img/> <span>预览</span>
                                </a>
                            </div>
                        </div>
                        <p id="businessImageTip" class="help-block alert x-alert-warning"
                           style="display: none">
                            <i class="glyphicon glyphicon-saved x-icon-left"></i><span></span>
                        </p>
                    </div>
                    <div class="x-input-addon col-sm-5">
                        <%--<div id="file_help" class="x-text-help" style="display: none">--%>
                            <%--<i class="glyphicon glyphicon-ok x-icon-left"></i>--%>
                        <%--</div>--%>
                        <!-- <div class="x-text-help" id="file_help">
                            <i class="glyphicon glyphicon-question-sign x-icon-left"></i>什么是营业执照？<a
                                class="x-btn-image x-text-link" href="javascript:void(0);"
                                data-src="static/img/demo/yyzz.png">查看范例</a>
                        </div> -->
                        <div id="file_error" class="x-text-error" style="display: none"></div>
                    </div>
                </div>
                <%--法定代表人--%>
                <div class="form-group">
                    <label class="control-label col-sm-2 x-required">法定代表人：</label>
                    <div class="col-sm-5">
                        <input type="text" class="form-control x-input"
                               name="corporation" required placeholder="填写营业执照上的法定代表人"
                               x-help-by="corporation_help" x-error-by="corporation_err"
                               c-error-text="请填写营业执照上的法定代表人">
                    </div>
                    <div class="x-input-addon col-sm-5">
                        <div id="corporation_help" class="x-text-help" style="display: none">
                            <i class="glyphicon glyphicon-ok x-icon-left"></i>
                        </div>
                        <div id="corporation_err" class="x-text-error"
                             style="display: none">填写营业执照上的法定代表人
                        </div>
                    </div>
                </div>
                <%--注册地区--%>
                <div class="form-group hidden">
                    <label class="control-label col-sm-2">注册地区：</label>
                    <div class="col-sm-5">
                        <label class="radio-inline"> <input type="radio"
                                                            name="area" value="中国大陆" checked> 中国大陆
                        </label> <label class="radio-inline"> <input type="radio"
                                                                     name="area" value="中国香港"> 中国香港
                    </label> <label class="radio-inline"> <input type="radio"
                                                                 name="area" value="中国台湾"> 中国台湾
                    </label> <label class="radio-inline"> <input type="radio"
                                                                 name="area" value="其他"> 其他
                    </label>
                    </div>
                    <div class="x-input-addon col-sm-5">
                        <div class="x-text-error" style="display: none"></div>
                    </div>
                </div>
                <%--企业地址--%>
                <div class="form-group">
                    <label class="control-label col-sm-2 x-required">企业地址：</label>
                    <div class="col-sm-5 dropdown x-has-feedback-left">
                        <input type="text" id="address"
                               class="form-control x-input x-addr-box dropdown-toggle"
                               name="address" readonly placeholder="请填写营业执照上的企业地址"
                               data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <span
                                class="glyphicon glyphicon-map-marker x-form-control-feedback-left"></span>
                        <div class="dropdown-menu x-union-menu" aria-labelledby="address">
                            <div class="x-union-header">
                                <div>省份</div>
                                <div>城市</div>
                                <div>县区</div>
                                <div class="x-item-ext">详细地址</div>
                            </div>
                            <div class="x-union-list">
                                <ul class="list-unstyled">
                                </ul>
                                <ul class="list-unstyled">
                                </ul>
                                <ul class="list-unstyled">
                                </ul>
                                <div class="x-item-ext">
                                    <div class="form-group">
                                        <div class="col-sm-12">
											<textarea id="street" name="street" rows="4"
                                                      class="form-control x-input"
                                                      placeholder="xx路xx大厦xx栋xx楼xx室"></textarea>
                                        </div>
                                    </div>
                                    <div class="text-right">
                                        <a class="btn btn-sm x-btn x-btn-primary x-btn-ok">确定</a> <a
                                            class="btn btn-sm x-btn x-btn-blank x-btn-cancel">取消</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="x-input-addon col-sm-5">
                        <div id="address_help" class="x-text-help" style="display: none">
                            <i class="glyphicon glyphicon-ok x-icon-left"></i>
                        </div>
                        <div id="address_err" class="x-text-error" style="display: none">请填写营业执照上的企业地址</div>
                    </div>
                </div>
                <%--联系人--%>
                <div class="form-group">
                    <label class="control-label col-sm-2">联系人：</label>
                    <div class="col-sm-5">
                        <input type="text" class="form-control x-input" id="contactMan" name="contactMan"
                               x-error-by="contactMan_error" x-pattern="^.{2,20}$"
                               placeholder="请填写企业对外的联系人，为空则默认为管理员">
                    </div>
                    <div class="x-input-addon col-sm-5">
                        <div id="contactMan_error" class="x-text-error" style="display: none">请填写正确的联系人姓名，2~20个字符</div>
                    </div>
                </div>
                <%--联系电话--%>
                <div class="form-group">
                    <label class="control-label col-sm-2">联系电话：</label>
                    <div class="col-sm-5">
                        <input type="text" class="form-control x-input" id="contactTel" name="contactTel"
                               x-error-by="contactTel_error"
                               placeholder="例如：13838883888" x-pattern="^[\d-]{8,15}$">
                    </div>
                    <div class="x-input-addon col-sm-5">
                        <div id="contactTel_error" class="x-text-error" style="display: none">请填写正确的联系电话</div>
                    </div>
                </div>
                <%--邮箱--%>
                <div class="form-group">
                    <label class="control-label col-sm-2">邮箱：</label>
                    <div class="col-sm-5">
                        <input type="text" class="form-control x-input" id="contactEmail" name="contactEmail"
                               x-error-by="contactEmail_error"
                               placeholder="例如：123123@usoft.com" x-pattern="^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$">
                    </div>
                    <div class="x-input-addon col-sm-5">
                        <div id="contactEmail_error" class="x-text-error" style="display: none">请填写正确的邮箱地址</div>
                    </div>
                </div>
                <%--企业传真--%>
                <div class="form-group">
                    <label class="control-label col-sm-2">企业传真：</label>
                    <div class="col-sm-5">
                        <input type="text" class="form-control x-input" id="fax" name="fax" x-error-by="fax_error"
                               placeholder="例如：0755-268XXXXX" x-pattern="^(([0\+]\d{2,3}-)?(0\d{2,3})-)(\d{7,8})(-(\d{3,}))?$">
                    </div>
                    <div class="x-input-addon col-sm-5">
                        <div id="fax_error" class="x-text-error" style="display: none">请填写正确的企业传真</div>
                    </div>
                </div>
                <%--企业官网--%>
                <div class="form-group">
                    <label class="control-label col-sm-2">企业官网：</label>
                    <div class="col-sm-5 x-has-feedback-left">
                        <input type="text" class="form-control x-input" name="url"
                               id="url" placeholder="www.usoftchina.com" style="padding-left: 55px">
                        <span class="x-form-control-feedback-left x-text-bold"
                              style="width: 65px">http://</span>
                    </div>
                    <div class="x-input-addon col-sm-5">
                        <div class="x-text-error" style="display: none"></div>
                    </div>
                </div>
                <%--行业--%>
                <div class="form-group">
                    <label class="control-label col-sm-2">行业：</label>
                    <div class="select-dot col-sm-5 dropdown">
                        <input type="text" id="profession"
                               class="form-control x-input x-addr-box dropdown-toggle"
                               name="profession" readonly placeholder="请选择所在行业"
                               data-toggle="dropdown" >
                        <div class="dropdown-menu x-union-menu" aria-labelledby="address" style="width: 603px;">
                            <div class="x-union-list x-profession-list">
                                <ul class="list-unstyled" style="width: 200px;">
                                </ul>
                                <ul class="list-unstyled" style="width: 200px;">
                                </ul>
                                <ul class="list-unstyled" style="width: 200px;" >
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="x-input-addon col-sm-5">
                        <div class="x-text-error" style="display: none"></div>
                    </div>
                </div>
                 <div class="form-group" style="height: 175px; display: none">
                     <label class="control-label col-sm-2">企业LOGO：</label>
                     <input name="logoImage" type="hidden">
                     <div class="col-sm-5">
                         <div class="help-block">
                             <div class="x-image pull-left">
                                 <a href="javascript:void(0);" class="upload-logo thumbnail x-input-file-wrap">
                                     <input type="file" id="logoImage" class="x-input" name="logoFile" x-error-by="logofile_err"
                                            x-help-by="logofile_help"
                                            arias-preview="logoImageView">
                                     <p>
                                         <img src="static/img/upload-bg.png" />
                                     </p>
                                 </a>
                             </div>
                             <div class="logo-text">个性化展示您的企业形象，图片不超过100Kb，建议宽x高=100x60</div>
                             <div id="logoImageView" style="display: none; margin-right: 0;"
                                  class="x-image pull-right">
                                 <div class="thumbnail">
                                     <img />
                                 </div>
                             </div>
                         </div>
                     </div>
                     <div class="x-input-addon col-sm-5">
                         <!-- <div class="x-text-help" id="file_help">
                             <i class="glyphicon glyphicon-question-sign x-icon-left"></i>什么是营业执照？<a
                                class="x-btn-image x-text-link" href="javascript:void(0);"
                                data-src="static/img/demo/yyzz.png">查看范例</a>
                         </div> -->
                         <div id="logofile_help" class="x-text-help" style="display: none">
                             <i class="glyphicon glyphicon-ok x-icon-left"></i>
                         </div>
                         <div id="logofile_err" class="x-text-error" style="display: none"></div>
                     </div>
                 </div>
                <%--经营范围标签--%>
                <div class="form-group">
                    <label class="control-label col-sm-2">经营范围标签：</label>
                    <div class="col-sm-8">
                        <div class="no-tags">暂无标签</div>
                        <div id="sss" class="tags-list"></div>
                        <input type="hidden" id="tags" name="tags">
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-sm-2"></label>
                    <div class="col-sm-5">
                        <input type="text" class="form-control x-input" id="tag" name="tag"
                               x-error-by="tag_err" maxlength="10"
                               x-error-text="标签长度不超过10个字符">
                    </div>
                    <div class="col-sm-1">
                        <a id="addTag">+添加标签</a>
                    </div>
                    <div class="x-input-addon col-sm-5">
                        <div id="tag_help" class="x-text-help" style="display: none">
                            <i class="glyphicon glyphicon-ok x-icon-left"></i>
                        </div>
                    </div>
                    <div class="x-text-tip">
                        <i class="glyphicon glyphicon-info-sign x-icon-left"></i>标签长度不超过10个字符
                    </div>
                    <div class="col-sm-12 tags-lists"><em
                            class="pull-left">例如：</em><span>企业管理咨询</span><span>电子产品开发</span><span>货运代理</span></div>
                    <div class="x-input-addon col-sm-5">
                        <div class="x-text-error" style="display: none"></div>
                    </div>
                </div>
            </div>
        </div>
        <%--服务协议--%>
        <div class="x-form-set-wrap">
            <div class="x-form-set">
                <div class="form-group">
                    <label class="control-label col-sm-2"></label>
                    <div class="col-sm-8">
                        <label class="checkbox-inline" style="font-size: 13px" >
                            <input type="checkbox" id="agree" name="agree" value="1" checked="checked"
                                   required x-error-text="您还未同意服务协议"> 我已阅读并同意<a
                                href="/common/rules" target="_blank"
                                class="x-btn-item x-text-link">《优软云平台服务条款》</a>、<a
                                href="http://www.usoftmall.com/help#/issue/50" target="_blank"
                               class="x-btn-item x-text-link" id="modaltrigger">《优软商城服务条款》</a>、<a
                                href="http://www.usoftmall.com/help#/issue/16" target="_blank"
                               class="x-btn-item x-text-link">《优软商城买卖条例》</a>
                        </label>
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-sm-2"></label>
                    <div class="col-sm-4">
                        <a class="next-btn btn x-btn-primary x-btn-submit btn-block"> 下一步 </a>
                        <!-- add class "disabled" to avoid click -->
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>