<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%
	String path = request.getContextPath();
	// nginx proxy: proxy_set_header 	X-Scheme 	$scheme; 
	String scheme = request.getHeader("X-Scheme");
	if (scheme == null) {
		scheme = request.getScheme();
	}
	int port = request.getServerPort();
	String basePath = scheme + "://" + request.getServerName() + ((port == 80 || port == 443) ? "" : (":" + port)) + path + "/";
%>
<!DOCTYPE html>
<html lang="zh-CN">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="renderer" content="webkit">
<title>登录 - 优软云</title>
<meta name="description" content="" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<base href="<%=basePath%>">
<link rel="shortcut icon" href="static/img/icon.png">
<link rel="stylesheet" type="text/css"
	href="static/lib/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css"
	href="static/lib/css/toastr.min.css">
	<link rel="stylesheet" type="text/css"
		  href="static/lib/keyboard/css/softkeys-0.0.1.css">
	<link rel="stylesheet" type="text/css" href="static/css/sso.css" />
<meta name="referrer" content="origin" />
	<style>
		input:-webkit-autofill, input:-webkit-autofill:hover, input:-webkit-autofill:focus, input:-webkit-autofill:active {
			-webkit-transition-delay: 99999s;
			-webkit-transition: color 99999s ease-out, background-color 99999s ease-out;
			/* -webkit-box-shadow: 0 0 0px 1000px white inset; */
		}
	</style>
</head>
<body id="body">
	<!-- old brower Start -->
	<jsp:include page="../common/brower_tip.jsp" />
	<!-- old brower End -->
	<!-- header Start -->
	<nav class="x-navbar">
		<div class="container">
			<div class="navbar-header">
				<span class="navbar-brand"> <c:if test="${spaceName == null}">
				欢迎登录
				</c:if> <c:if test="${spaceName != null}">
				${spaceName}
				</c:if>
				</span>
			</div>
			<div class="collapse navbar-collapse navbar-right">
				<a href="http://www.ubtob.com">优软云首页</a> <a
					href="http://uas.ubtob.com/serve#/">帮助</a>
			</div>
		</div>
	</nav>
	<!-- header End -->
	<!-- content Start -->
	<div class="x-container">
		<!-- background slider -->
		<div class="x-banner-wrap">
			<div class="x-banner">
				<ul class="list-unstyled">
					<c:forEach items="${assets}" var="asset" varStatus="status">
						<li
							style="background: ${asset.background} url('${asset.url}') no-repeat center center"
							data-link="${asset.imgLink}">
							<div class="inner">
								<c:set var="i" value="${status.index}"></c:set>
								<c:if test="${asset.color != null}">
									<style>
.x-text-
 
${
i

	

}
{
color


:

 

${
asset


.color


}
;
}
.x-btn-floating-
 
${
i

	

}
{
color


:

 

${
asset


.color


}
;
border


:

 

1
px

 

solid

 

${
asset


.color


}
;
}
.x-btn-floating-
 
${
i

	

}
:hover
,
.x-btn-floating-
 
${
i

	

}
:active {
	color: ${asset.reserveColor
}
;
background


:

 

${
asset


.color


}
;
border-color


:

 

${
asset


.color


}
;
}
</style>
								</c:if>
								<div class="x-title x-text-${i}">${asset.title}</div>
								<div class="x-subtitle x-text-${i}">${asset.subTitle}</div>
								<div class="x-btn-group">
									<c:forEach items="${asset.btns}" var="btn">
										<a class="btn x-btn x-btn-floating-${i}" href="${btn.link}"
											target="_blank">${btn.text}</a>
									</c:forEach>
								</div>
							</div>
						</li>
					</c:forEach>
				</ul>
			</div>
		</div>
		<div class="x-login-wrap">
			<div class="x-login">
				<%--<div class="x-login-header">
					<div class="x-login-tab" aria-controls="qrcode-wrap" aria-left="0">
						<a href="javascript:void(0)"> 扫码登录 </a>
					</div>
					<div class="x-login-tab active" aria-controls="form-wrap"
						aria-left="50%">
						<a href="javascript:void(0)"> 账户登录 </a>
					</div>
					<div class="x-line"></div>
				</div>--%>
				<!-- user & pwd login wrap -->
				<div id="form-wrap" class="x-login-form" autocomplete="on">
					<form name="loginForm">
						<input type="hidden" name="appId" value="${appId}"> <input
							type="hidden" name="returnUrl" value="${returnUrl}"> <input
							type="hidden" name="spaceId" value="${spaceId}"><input
							type="hidden" name="baseUrl" value="${baseUrl}">
						<div class="form-group">
							<div class="x-has-feedback-left">
								<input type="text" class="form-control x-input" autocomplete="on"
									placeholder="手机号/邮箱/账号ID" name="username" required> <span
									class="iconfont icon-user x-form-control-feedback-left"></span>
							</div>
						</div>
						<div class="form-group" style="position: relative">
							<div class="x-has-feedback-left">
								<input type="password" class="form-control x-input" id="password"
									placeholder="密码" name="password" required> <span
									class="iconfont icon-password x-form-control-feedback-left"></span>
							</div>
							<img src="static/img/keyboard.png" id="keyboard" style="position: absolute;right: 10px; top: 10px;" alt="">
							<div class="softkeys" style="display: none" data-target="input[name='password']"></div>
						</div>
						<div class="form-group" id="captchaForm" style="display: none">
							<input type="text" id="captcha" name="captcha" class="text" maxlength="10" required/>
							<img id="captchaImage" src="sso/checkcode/login"/>
							<a id="changeCode"  href="javascript:void(0)">看不清换一张</a>
						</div>
						<div class="form-group">
							<div class="x-has-feedback-left" style="display: inline-block">
								<%--<input type="checkbox" class="x-input" id="maxAge"--%>
									<%--placeholder="cookie的有效期" name="maxAge"> <span>30天内自动登录</span>--%>
							</div>
							<div class="x-has-feedback-right">
								<a href="user/pwd?appId=${appId}&returnURL=${returnUrl}">忘记密码？</a>
							</div>
						</div>
						<button class="btn x-btn x-btn-primary btn-block x-btn-submit" type="button">登录</button>
					</form>
					<div class="warn-text-area">
						为确保您账户的安全及正常使用，依《网络安全法》相关要求，6月1日起会员账户需绑定手机、设置密码保护。感谢您的理解和支持！
					</div>
					<div style="text-align: right;">
						 <a style="color: #5078cb;" href="sso/register_p?appId=${appId}&returnURL=${returnUrl}"><i
							class="iconfont icon-left icon-arrow"></i>免费注册</a>
					</div>
				</div>
				<!-- qrcode login wrap -->
				<div id="qrcode-wrap" class="x-login-qrcode" style="display: none;">
					<div class="x-qrcode-help">
						<span>打开手机客户端，扫描下面的二维码</span>
					</div>
					<div class="x-qrcode-img">
						<img src="static/img/demo/qrcode.jpg">
					</div>
					<div class="x-qrcode-ex">
						<ul class="list-unstyled list-inline">
							<li><i class="iconfont icon-left icon-input"></i><span>免输入</span></li>
							<li><i class="iconfont icon-left icon-fast"></i><span>更快捷</span></li>
							<li><i class="iconfont icon-left icon-safe"></i><span>更安全</span></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</div>
	<!-- content End -->
	<!-- userspace choose -->
	<div class="x-floating x-list">
		<div class="x-list-header">您要登录的公司是：</div>
		<ul class="list-unstyled">
		</ul>
	</div>
	<!-- dialog -->
	<div class="x-floating x-dialog">
		<div class="x-dialog-header">温馨提示</div>
		<p class="x-dialog-content"></p>
	</div>
	<!-- footer Start -->
	<jsp:include page="../common/footer.jsp" />
	<!-- footer End -->
	<!-- loading box -->
	<div id="loading">
		<div class="x-loading-wrap"></div>
		<div class="x-loading">
			<div></div>
			<div></div>
			<div></div>
		</div>
	</div>
	<script src="static/lib/js/jquery.min.js"></script>
	<script src="static/lib/js/toastr.min.js"></script>
	<script src="static/js/slider.js"></script>
	<script src="static/js/base.js"></script>
	<script src="static/js/sso.js"></script>
	<script src="static/lib/keyboard/js/softkeys-0.0.1.js"></script>
</body>
</html>