<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%--<div class="x-form-wrap">
	<div class="x-empty">
		<i class="iconfont icon-coffee"></i>
		<p>您的信息已提交，客服正在加急处理，感谢您对优软产品的关注</p>
	</div>
</div>--%>
<!-- 分组2-管理员信息 Start -->
<div class="x-form-wrap">
	<form class="form-horizontal x-form" novalidate>
		<div class="x-form-set-wrap">
			<div class="x-form-set-header">
				<h4>管理员信息</h4>
			</div>
			<input type="hidden" name="pageToken" value="${pageToken}">
			<div class="x-form-set">
				<%--姓名--%>
				<div class="form-group">
					<label class="control-label col-sm-2 x-required">姓名：</label>
					<div class="col-sm-5">
						<input type="text" class="form-control x-input" name="adminName"
							   required placeholder="例如：张三" x-maxlength="20" autofocus
							   x-error-by="adminName_err" x-help-by="adminName_help" x-minlength="2"
							   x-error="请填写管理员姓名，不超过20个字">
					</div>
					<div class="x-input-addon col-sm-5">
						<div id="adminName_help" class="x-text-help" style="display: none">
							<i class="glyphicon glyphicon-ok x-icon-left"></i>
						</div>
						<div id="adminName_err" class="x-text-error" style="display: none">请填写正确的管理员姓名，2~20个字符</div>
					</div>
				</div>
				<%--手机号--%>
				<div class="form-group">
					<label class="control-label col-sm-2 x-required">手机号：</label>
					<div class="col-sm-5">
						<input type="text" class="form-control x-input" name="adminTel"
							   required placeholder="例如：15818181818" x-pattern="^1[0-9]{10}$"
							   x-error-by="adminTel_err" x-help-by="adminTel_help" x-error-text="请填写正确的手机号">
					</div>
					<div class="x-input-addon col-sm-5">
						<div id="adminTel_help" class="x-text-help" style="display: none">
							<i class="glyphicon glyphicon-ok x-icon-left"></i>
						</div>
						<div id="adminTel_err" class="x-text-error" style="display: none">请填写正确的手机号</div>
					</div>
				</div>
				<%--邮箱--%>
				<div class="form-group">
					<label class="control-label col-sm-2 x-required">邮箱：</label>
					<div class="col-sm-5">
						<input type="text" class="form-control x-input" name="adminEmail"
							   required placeholder="例如：zhangsan@example.com" x-error-text="请填写正确的邮箱地址"
							   x-pattern="^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$"
							   x-help-by="adminEmail_help" x-error-by="adminEmail_err">
					</div>
					<div class="x-input-addon col-sm-5">
						<div id="adminEmail_help" class="x-text-help" style="display: none">
							<i class="glyphicon glyphicon-ok x-icon-left"></i>
						</div>
						<div class="x-text-tip">
							<i class="glyphicon glyphicon-info-sign x-icon-left"></i>注册成功后我们将发邮件到该邮箱，请及时查收
						</div>
						<div id="adminEmail_err" class="x-text-error"
							 style="display: none">请填写正确的邮箱地址
						</div>
					</div>
				</div>
				<%--验证码--%>
				<div class="form-group">
					<label class="control-label col-sm-2 x-required">验证码：</label>
					<div class="col-sm-5 x-has-feedback-left">
						<button type="button" class="btn x-form-control-feedback-left x-btn-checkcode"
								disabled="disabled" style="width: 98px; margin-left: 246px; border-radius: 5px;">
							<span>获取验证码</span><span class="x-timeout-word" style="display: none;"><span
								class="x-timeout-num">60</span>秒</span>
						</button>
						<input type="text" class="form-control x-input pull-left"
							   name="checkcode" id="checkcode"
							   required placeholder="手机或邮箱收到的6位数字" x-pattern="^\d{6}$"
							   x-help-by="checkcode_help" x-error-by="checkcode_err" style="width: 220px;">
					</div>
					<div class="x-input-addon col-sm-5">
						<div id="checkcode_help" class="x-text-help" style="display: none">
							<i class="glyphicon glyphicon-ok x-icon-left"></i>
						</div>
						<%--<div id="checkcode_help" class="x-text-help">
                            <i class="glyphicon glyphicon-info-sign x-icon-left"></i>手机和邮箱都可以接收到
                        </div>--%>
						<div class="x-text-tip">
							<i class="glyphicon glyphicon-info-sign x-icon-left"></i>手机和邮箱都可以接收到
						</div>
						<div id="checkcode_err" class="x-text-error"
							 style="display: none">填写您的手机短信或邮箱收到的6位数字
						</div>
					</div>
				</div>
				<input type="hidden" name="checkcodeToken" required x-error-text="请先获取验证码，然后输入验证码">
				<%--密码--%>
				<div class="form-group">
					<label class="control-label col-sm-2 x-required">密码：</label>
					<div class="col-sm-5 x-has-feedback-left">
						<input type="text" id="password" class="form-control x-input"
							   name="password" required="required" x-error-by="password_err"
							   x-maxlength="20" x-pattern="^[A-Za-z0-9]+$">
					</div>
                    <div class="x-input-addon col-sm-5">
                        <div class="x-text-tip" id="password_help" style="display: none">
							<i class="glyphicon glyphicon-info-sign x-icon-left"></i>手机号已被注册，请输入原密码&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<a class="x-text-link" href="https://account.ubtob.com/user/pwd?" target="_blank">
							忘记密码?</a>
                        </div>
                        <div class="x-text-error" id="password_err"
                             style="display: none">请输入不超过20长度的英文、数字混合密码</div>
                        <div class="x-text-error" id="password_error" style="display: none">请输入原密码进行验证&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            <a class="x-text-link" href="https://account.ubtob.com/user/pwd?" target="_blank">
                                忘记密码?</a>
                        </div>
                    </div>
				</div>
			</div>
			<div class="x-form-set-wrap next02">
				<div class="x-form-set">
					<%--上一步--%>
					<div class="form-group">
						<div class="col-sm-4">
							<a class="next-btn btn x-btn-primary x-btn-lastStep btn-block"> 上一步 </a>
							<!-- add class "disabled" to avoid click -->
						</div>
						<div class="col-sm-4">
							<a class="next-btn btn x-btn-primary x-btn-submit btn-block"> 确认注册 </a>
							<!-- add class "disabled" to avoid click -->
						</div>
					</div>
				</div>
			</div>
		</div>
	</form>
</div>